---
AWSTemplateFormatVersion: "2010-09-09"
Description: Creates SNS topics for ECS Service(s)
Resources:
{% for topic, properties in topics.items() %}
  Topic{{ topic | replace('-', '') }}:
    Type: AWS::SNS::Topic
    Properties:
      TopicName: {{ properties.topicname | default(topic) }}
      DisplayName: {{ properties.displayname }}
{% if (properties.encrypt | default(False)): %}
      KmsMasterKeyId: {{ properties.kmsmasterkeyid }}
{% endif %}
{% if properties.subscriptions is defined %}
      Subscription:
{% for subscription in properties.subscriptions %}
        - Endpoint: {{ subscription.endpoint }}
          Protocol: {{ subscription.protocol }}
{% endfor %}
{% endif %}
{% endfor %}
